%global debug_package %{nil}
%global vendor aurora

Name:           aurora
Version:        0.1.2
Release:        1%{?dist}
Summary:        Aurora branding

License:        CC-BY-SA
URL:            https://github.com/ublue-os/packages
VCS:           git+https://github.com/renner0e/packages#2c0ce3405e7949d8efb67f4e18b339ef0da65fba:packages/aurora
Source:        packages-packages-aurora-2c0ce340.tar.gz

%description
Branding for Aurora-related projects

%prep
%setup -T -b 0 -q -n packages-packages-aurora

%build

%install
mkdir -p %{buildroot}%{_datadir}/wallpapers
mkdir -p %{buildroot}%{_datadir}/backgrounds/%{vendor}
install -Dpm0644 -t %{buildroot}%{_datadir}/ublue-os/aurora-logos/symbols/ cli-logos/symbols/*
install -Dpm0644 -t %{buildroot}%{_datadir}/pixmaps/ logos/*
install -Dpm0644 -t %{buildroot}%{_datadir}/ublue-os/ fastfetch/fastfetch.jsonc
install -Dpm0644 -t %{buildroot}%{_datadir}/plymouth/themes/spinner/ plymouth/themes/spinner/*.png
cp -rp wallpapers/images/* %{buildroot}%{_datadir}/backgrounds/%{vendor}
ln -sr %{buildroot}%{_datadir}/backgrounds/%{vendor}/* %{buildroot}%{_datadir}/wallpapers/

%check

%package logos
Summary:        Logos for KDE
Version:        0.1.1
License:        CC-BY-SA
Provides: fedora-logos
Provides: centos-logos
Provides: system-logos
Conflicts: bluefin-logos
Conflicts: fedora-logos
Conflicts: centos-logos
Conflicts: system-logos

%description logos
Replacement logos for KDE

%files logos
%{_datadir}/pixmaps/fedora*
%{_datadir}/pixmaps/system-*
%{_datadir}/pixmaps/ublue-*


%package cli-logos
Version:        0.1.0
Summary:        Logos for CLI
License:        CC-BY-SA

%description cli-logos
Logos for CLI applications like Fastfetch

%files cli-logos
%{_datadir}/ublue-os/aurora-logos/*


%package fastfetch
Summary:        Fastfetch configuration for Aurora
Version:        0.1.0
License:        CC-BY-SA

%description fastfetch
Fastfetch configuration for Aurora

%files fastfetch
%{_datadir}/ublue-os/fastfetch.jsonc


%package plymouth
Summary:        Plymouth customization for Aurora
Version:        0.1.0
License:        CC-BY-SA

%description plymouth
Plymouth logo customization for Aurora

%files plymouth
%{_datadir}/plymouth

%package backgrounds
Version:        0.1.0
Summary:        Aurora wallpapers
License:        CC-BY-SA

%description backgrounds
Wallpapers included on Aurora by default

%files backgrounds
%{_datadir}/{backgrounds,wallpapers}/%{vendor}
# KDE wants those wallpapers on /usr/share/wallpapers so badly :(
# subdirectories no worky
# this is how plasma-workspace-wallpapers does it
%files backgrounds
%{_datadir}/backgrounds/%{vendor}/
%{_datadir}/wallpapers/aurora-wallpaper-1
%{_datadir}/wallpapers/greg-rakozy-aurora
%{_datadir}/wallpapers/jonatan-pie-aurora
%{_datadir}/wallpapers/xe_clouds
%{_datadir}/wallpapers/xe_foothills
%{_datadir}/wallpapers/xe_space_needle
%{_datadir}/wallpapers/xe_sunset


%changelog
%autochangelog
